% Updates the uptake rates of the organisms

for i = 1:numSpecies
    switch community.species(i).description
		case 'oxygen_user' %KP			
			%% GLUCOSE
            Vmax_glc = vs_Glc_new;
            community.species(i) = changeRxnBounds(community.species(i),'EX_glc_D(e)',[Vmax_glc],'l');
			
            %% NEW OXYGEN
            if (O <= 0)
                Vmax_o2 = 0;
            else
                Vmax_o2 = -20*O/(O + 0.002); 
            end
 			community.species(i) = changeRxnBounds(community.species(i),'EX_o2(e)',[Vmax_o2],'l');
            
            %% ACETATE
            if (S_Ac <= 0)
                Vmax_Ac = 0;
            else
                Vmax_Ac = -2.4*S_Ac/(S_Ac + 0.6);
            end
 			community.species(i) = changeRxnBounds(community.species(i),'EX_acetate',[Vmax_Ac],'l');
            
            %% MALATE
            if (S_Mal <= 0)
                Vmax_Mal = 0;
            else
                Vmax_Mal = -24*S_Mal/(S_Mal + 0.4);
            end
 			community.species(i) = changeRxnBounds(community.species(i),'EX_malate',[Vmax_Mal],'l');
             
		case 'dextran_user'	%BT
			%% GLUCOSE
            if (S_Glc<=0)
                Vmax_glc = 0;
            else
                Vmax_glc = -11*S_Glc/(S_Glc + 0.6); 
            end
			community.species(i) = changeRxnBounds(community.species(i),'EX_glc_D(e)',[Vmax_glc],'l');
			
			%% DEXTRAN
            if (S_Dex<=0)
                Vmax_dex = 0;
            else
                Vmax_dex = -0.65*S_Dex/(S_Dex + 0.003);
            end
            community.species(i) = changeRxnBounds(community.species(i),'EX_dextran40(e)',[Vmax_dex],'l');
            
    end	
end